# Package javax.jcr.version

Content Repository API for Java (JCR 1.0) versioning

See: Description

Interface Summary
Version: A `Version` object wraps an `nt:version` node.
VersionHistory: A `VersionHistory` object wraps an `nt:versionHistory` node.
VersionIterator: Allows easy iteration through a list of `Version`s objects with `nextVersion` as well as a `skip` method inherited from `RangeIterator`.

Class Summary
OnParentVersionAction: The possible actions specified by the `onParentVersion` attribute in a property definition within a node type definition.

Exception Summary
VersionException: Exception thrown by Version.addSuccessor if an invalid version graph operation is attempted.

## Package javax.jcr.version Description

Content Repository API for Java (JCR 1.0) versioning

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.